Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Canon MP 550 installeeren in ubuntu 11.04 64-bit  (gelezen 3253 keer)

Offline Krotenkoker

  • Lid
  • Steunpunt: Nee
Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Gepost op: 2011/05/04, 14:01:59 »
Hallo Allemaal,

Ik heb Ubuntu 11.04 64 bit geinstalleerd en krijg mijn canon MP550 printer niet aan de praat. Bij ubuntu 10.10 was dit geen probleem en installeerde ik volgens deze methode:

http://ubuntuforums.org/showthread.php?t=1330314

Als ik dit echter bij ubuntu 11.04 doe dan krijg ik volgend resultaat:

richard@Laptop-Linux:~/Downloads$ sudo dpkg -i --force-architecture cnijfilter-common_3.20-1_i386.deb
[sudo] password for richard:
dpkg: waarschuwing: overriding problem because --force enabled:
 pakket-architectuur (i386) komt niet overeen met het systeem (amd64)
(Database inlezen ... 139555 files and directories currently installed.)
Voorbereiden om cnijfilter-common:i386 3.20-1 te vervangen (door cnijfilter-common_3.20-1_i386.deb) ...
Uitpakken van vervangende cnijfilter-common:i386 ...
dpkg: vereistenproblemen verhinderen de configuratie van cnijfilter-common:i386:
 cnijfilter-common:i386 is afhankelijk van libc6 (>= 2.3.4-1).
 cnijfilter-common:i386 is afhankelijk van libcupsys2 (>= 1.2.1) | libcups2.
 cnijfilter-common:i386 is afhankelijk van libpopt0 (>= 1.7).
dpkg: fout bij afhandelen van cnijfilter-common:i386 (--install):
 vereistenproblemen - blijft ongeconfigureerd
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Fouten gevonden tijdens behandelen van:
 cnijfilter-common:i386
richard@Laptop-Linux:~/Downloads$ sudo apt-get install -f
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
0 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
richard@Laptop-Linux:~/Downloads$

Kan iemand mij zeggen hoe ik dit op kan lossen?

Alvast bedankt ;)

Offline emiel1976

  • Lid
  • Steunpunt: Nee
Re: Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Reactie #1 Gepost op: 2011/05/04, 14:27:04 »
een deb file.
Waarom doe je niet gewoon dubbel klikken op het icoon zodat hij het software centrum opent en het vanuit daar installeert?

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Reactie #2 Gepost op: 2011/05/04, 15:15:16 »
--force architecture  ???

Je wil blijkbaar geforceerd een 32-bit stuurprogje installeren in een 64-bit Ubuntu. Dat is altijd een "wilde gok": het kan goed gaan, maar het kan ook gruwelijk fout gaan. Het is niet anders.

Offline Krotenkoker

  • Lid
  • Steunpunt: Nee
Re: Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Reactie #3 Gepost op: 2011/05/04, 17:16:59 »
Citaat
een deb file.
Waarom doe je niet gewoon dubbel klikken op het icoon zodat hij het software centrum opent en het vanuit daar installeert?

Omdat er naar mijn weten geen 64 bit driver beschikbaar is. Bij Ubuntu 10.10 (64 bit) installeerde de driver zonder problemen.

Is er misschien iemand die een 64 bit driver heeft gevonden?

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Reactie #4 Gepost op: 2011/05/04, 17:30:37 »
Dit staat in jouw code-blokje:
Citaat
cnijfilter-common:i386 is afhankelijk van libc6 (>= 2.3.4-1).
 cnijfilter-common:i386 is afhankelijk van libcupsys2 (>= 1.2.1) | libcups2.
 cnijfilter-common:i386 is afhankelijk van libpopt0 (>= 1.7).

Kijk eens in Synaptic of deze pakketten (de lib.... pakketten) er sowieso wel in de lijst staan.
Hoogstwaarschijnlijk staat libcupsys2 er niet in maar wel libcups2 en dan zal je met de volgende HOWTO eventueel aan de slag moeten:
http://forum.ubuntu-nl.org/documentatie/howto-ip-2600/
Let wel op!!! De benaming van de pakketten in de commando's moet je natuurlijk aanpassen aan jouw pakketnamen.

Maar kijk eerst even via Synaptic voor je iets doet.

Offline jolo

  • Lid
  • Steunpunt: Nee
Re: Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Reactie #5 Gepost op: 2011/05/04, 22:22:58 »
Het probleem is alleen dat die Canon MP 550 niet voorkomt in deze hyperlink http://www.openprinting.org/printers/manufacturer/Canon Terwijl ik op de website van Canon alleen deze zie Debian Linux Print Drivers (3.2). "(tested using Ubuntu 9.04)." Dus dat zou ook de reden kunnen zijn, dat ze niet willen werken met Ubuntu 11.04. 
Hoofd PC september 2011 Asus P8Z68-V Pro i7 2600K 8 GB RAM GT730 Ubuntu 14.04
PC 2007 Asus P5B E6600 2GB RAM 8800GTS  
Notebook 2008 Lenovo ThinkPad R61i 8932GMG 2,5 GB RAM
Test pc's AthlonXP 1700+ PC 1,5 GB RAM nVidia 7600GS en Dual P3 1000 MHz 1 GB RAM X1650Pro

Offline Krotenkoker

  • Lid
  • Steunpunt: Nee
Re: Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Reactie #6 Gepost op: 2011/05/12, 12:16:32 »
Citaat
Dit staat in jouw code-blokje:
Citaat
Code:

cnijfilter-common:i386 is afhankelijk van libc6 (>= 2.3.4-1).
 cnijfilter-common:i386 is afhankelijk van libcupsys2 (>= 1.2.1) | libcups2.
 cnijfilter-common:i386 is afhankelijk van libpopt0 (>= 1.7).


Kijk eens in Synaptic of deze pakketten (de lib.... pakketten) er sowieso wel in de lijst staan.
Hoogstwaarschijnlijk staat libcupsys2 er niet in maar wel libcups2 en dan zal je met de volgende HOWTO eventueel aan de slag moeten:
http://forum.ubuntu-nl.org/documentatie/howto-ip-2600/
Let wel op!!! De benaming van de pakketten in de commando's moet je natuurlijk aanpassen aan jouw pakketnamen.

Maar kijk eerst even via Synaptic voor je iets doet.

libc6 is geinstalleerd alleen is dit versie 2.13
libcups2 versie 1.4.6-5 is geinstalleerd
libpopt0 versie 1.16-1 is geinstalleerd.

Ik heb dus nieuwe versies nodig. Waar kan ik die vandaan halen?

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Reactie #7 Gepost op: 2011/05/12, 17:48:19 »
Nee hoor, je versies zijn hoger dan die die in je code blokje staan.(achter de pakketnaam staat >= dus wat wil zeggen: groter of gelijk aan) Dus moet het daar mee werken.

Het is een deb file, dus dubbelklik op die file en die zal dan met de deb-installer automatisch geïnstalleerd worden en de afhankelijkheden worden dan nagegaan. Zo zou het wel moeten gaan.


Edit: Hola!!! Nu zie ik pas dit:  "pakket-architectuur (i386) komt niet overeen met het systeem (amd64)"

Ik weet niet of er verschillende drivers zijn voor i386 en amd64.
(Heb even gekeken op de site maar vind niet direct iets.) ???

Wat je eventueel kan doen is in de naam de i386 veranderen door amd64. Maar of dat gaat lukken weet ik natuurlijk niet.

Offline jolo

  • Lid
  • Steunpunt: Nee
Re: Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Reactie #8 Gepost op: 2011/05/15, 20:54:46 »
Wat je eventueel kan doen is in de naam de i386 veranderen door amd64. Maar of dat gaat lukken weet ik natuurlijk niet.
Dat zal niet gaan werken. Tenslotte zijn die drivers op de Canon website gecompileerd voor i386. Dat deze in de naam i386 zijn genoemd, is alleen bedoelt zo dat wij 'm ook kunnen herkennen als i386 drivers. Ik denk dat de TS beter een 32 bit versie van Ubuntu kan gaan installeren.
Hoofd PC september 2011 Asus P8Z68-V Pro i7 2600K 8 GB RAM GT730 Ubuntu 14.04
PC 2007 Asus P5B E6600 2GB RAM 8800GTS  
Notebook 2008 Lenovo ThinkPad R61i 8932GMG 2,5 GB RAM
Test pc's AthlonXP 1700+ PC 1,5 GB RAM nVidia 7600GS en Dual P3 1000 MHz 1 GB RAM X1650Pro

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Re: Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Reactie #9 Gepost op: 2011/05/15, 21:07:30 »
Er is ook ergens bij het installeren de optie "--force-architecture"
Heb die ooit gebruikt bij één of andere printer, maar weet niet meer in welk verband.
Kwam toen wel op dit forum, dus misschien eens zoeken ?
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Reactie #10 Gepost op: 2011/05/16, 19:39:44 »
Dat commando heeft hij gebruikt:

richard@Laptop-Linux:~/Downloads$ sudo dpkg -i --force-architecture cnijfilter-common_3.20-1_i386.deb

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Re: Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Reactie #11 Gepost op: 2011/05/17, 03:57:46 »
Oeps, niet goed gelezen. We draaien dus in cirkeltjes...
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Reactie #12 Gepost op: 2011/05/17, 20:29:49 »
Wat je eventueel kan doen is in de naam de i386 veranderen door amd64. Maar of dat gaat lukken weet ik natuurlijk niet.
Dat zal niet gaan werken. Tenslotte zijn die drivers op de Canon website gecompileerd voor i386. Dat deze in de naam i386 zijn genoemd, is alleen bedoelt zo dat wij 'm ook kunnen herkennen als i386 drivers. Ik denk dat de TS beter een 32 bit versie van Ubuntu kan gaan installeren.

Hier in dit bericht (dat komt uit de link die ik geef in mijn howto) staat wel dat hij die veranderd naar amd64 en dan pas de --force architectuur toepast.
Ben geen expert hierin dus kijk even naar de post:
http://ubuntuforums.org/showpost.php?p=9261461&postcount=26

Offline jolo

  • Lid
  • Steunpunt: Nee
Re: Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Reactie #13 Gepost op: 2011/05/18, 20:19:12 »
Ofschoon die howto voor de TS de moeite waard lijkt om uit te proberen, blijft het nog wel een 32 bit print stuurprogramma, die niet  door Canon getest is op Ubuntu 11.04. Een 64 bit driver kan alleen worden verkregen, door het compileren van de bron code van het print stuurprogramma.
Hoofd PC september 2011 Asus P8Z68-V Pro i7 2600K 8 GB RAM GT730 Ubuntu 14.04
PC 2007 Asus P5B E6600 2GB RAM 8800GTS  
Notebook 2008 Lenovo ThinkPad R61i 8932GMG 2,5 GB RAM
Test pc's AthlonXP 1700+ PC 1,5 GB RAM nVidia 7600GS en Dual P3 1000 MHz 1 GB RAM X1650Pro

Offline Krotenkoker

  • Lid
  • Steunpunt: Nee
Re: Canon MP 550 installeeren in ubuntu 11.04 64-bit
« Reactie #14 Gepost op: 2011/05/18, 22:56:26 »
Helaas maar geen van de tips heeft tot nu toe gewerkt. Ik heb van ellende maar een nieuwe printer gekocht. Een Epson. Deze werkt out of the box. Zelfs het benaderen via wlan werkt perfect met scan functie (via scane). Het is welliswaar geen canon maar hij doet met de kwalitiet niet veel onder de canon. Misschien wel met fotoś maar die print ik zeer zelden.

Allemaal reuze bedankt voor de reacties en de hulp ;) Dit is precies de reden waarom ik opensource software wil gebruiken.